Skip to main content
POST
/
api
/
rule
Creates a new automation rule configuration.
curl --request POST \
  --url https://{install}/api/rule \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entity": "<string>",
  "name": "<string>",
  "description": "<string>",
  "active": true,
  "owner": 123,
  "ownerId": "<string>",
  "trigger": 123,
  "triggerEvent": 123,
  "triggerInterval": "<string>",
  "container": [
    "<string>"
  ],
  "conditionGroup": [
    {
      "condition": [
        {
          "id": "<string>",
          "leftSide": "<string>",
          "rightSide": "<string>",
          "operator": 123
        }
      ]
    }
  ],
  "actionValue": [
    {
      "actionType": 123,
      "field": "<string>",
      "value": "<unknown>",
      "id": "<string>",
      "active": true
    }
  ],
  "actionEndpoint": [
    {
      "actionType": 123,
      "url": "<string>",
      "httpHeader": [
        "<string>"
      ],
      "id": "<string>",
      "active": true
    }
  ],
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}
'

Documentation Index

Fetch the complete documentation index at: https://ekso.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Body

The rule configuration to create.

entity
null | string
name
string
description
string
active
boolean
owner
integer
ownerId
string
trigger
integer
triggerEvent
integer
triggerInterval
string
container
string[]
conditionGroup
object[]
actionValue
object[]
actionEndpoint
object[]
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean

Response

Rule created successfully.